# Type alias AsObject

AsObject: {
messageData: Uint8Array | string;
senderNodeAddress?: NodeAddress.AsObject;
seqNumOrFileLength: number;
tradeId: string;
traderId: number;
uid: string;
}

#### Type declaration

- ##### messageData: Uint8Array | string

- ##### `Optional` senderNodeAddress?: NodeAddress.AsObject

- ##### seqNumOrFileLength: number

- ##### tradeId: string

- ##### traderId: number

- ##### uid: string

- Defined in src/protobuf/pb_pb.d.ts:459

Generated using TypeDoc